#include <bits/stdc++.h>
using namespace std;
int p[20000];
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n,k;
    cin>>n>>k;
    int j=0;
    for(int i=0;i<n;i++){
        cin>>p[i];
        if(p[i]==k){
            j=i;
        }
    }
    if(n==2){
        if(p[0]==k){
            cout<<p[1]<<endl;
        }
        else{
            cout<<p[0]<<endl;
        }
    }
    else{
        if(j==n-1){
            cout<<p[0]<<endl;
        }
        else{
            cout<<p[j+1]<<endl;
        }
    }
    return 0;
}